<html>
  <head>
    <title>Arrays 2</title>
    <script>
      function execute() {
        const firstVal = first.value, secondVal = second.value;
        let ouput, i = 0;
        while ((i < firstVal.length || i < secondVal.length) && firstVal[i] === secondVal[i]) {
          i++;
        }
        if (firstVal[i] < secondVal[i]) {
          output = 'The first array is earlier.';
        } else if (secondVal[i] < firstVal[i]) {
          output = 'The second array is earlier.';
        } else {
          output = 'Tha arrays are equal.';
        }
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>String 1: <input id="first" /></p>
    <p>String 2: <input id="second" /></p>
    <button onclick="execute()">Execute</button>
    <ul id="result"></ul>
  </body>
</html>
